import request from '@/utils/request'
const baseURL = process.env.VUE_APP_BASE_INFO
// 公司信息
export function getCompanyInfo(data) {
  return request({
    baseURL: baseURL,
    login: 1,
    url: '/company',
    method: 'get',
    params: data
  })
}

// 公告列表
export function getNoticeList(data) {
  return request({
    baseURL: baseURL,
    login: 1,
    url: '/notice',
    method: 'get',
    params: data
  })
}

// 股权变动
export function getStruct(data) {
  return request({
    baseURL: baseURL,
    login: 1,
    url: '/struct',
    method: 'get',
    params: data
  })
}

// 主要股东
export function getMajor(data) {
  return request({
    baseURL: baseURL,
    login: 1,
    url: '/major',
    method: 'get',
    params: data
  })
}

// 营业构成
export function getFinance(data) {
  return request({
    baseURL: baseURL,
    login: 1,
    url: '/finance',
    method: 'get',
    params: data
  })
}

// 财务关键指标
export function getIndicator(data) {
  return request({
    baseURL: baseURL,
    login: 1,
    url: '/indicator',
    method: 'get',
    params: data
  })
}

// getNews
export function getNews(data) {
  return request({
    baseURL: baseURL,
    login: 1,
    url: '/news',
    method: 'get',
    params: data
  })
}

// newsDetail
export function newsDetail(data) {
  return request({
    baseURL: baseURL,
    login: 1,
    url: '/newsDetail',
    method: 'get',
    params: data
  })
}

// 
export function getCategory(data) {
  return request({
    baseURL: baseURL,
    login: 1,
    url: '/category',
    method: 'get',
    params: data
  })
}

export function getProductRecommendList(data) {
  return request({
    url: '/Public/getProductRecommendList',
    method: 'post',
    params: data
  })
}